Linux v69820.1blu.de 4.15.0 #1 SMP Mon Sep 30 15:36:27 MSK 2024 x86_64
Apache/2.4.58
Server IP : 195.90.215.149 & Your IP : 216.73.216.250
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
init.d /
Delete
Unzip
Name
Size
Permission
Date
Action
anacron
2.01
KB
-rwxr-xr-x
2019-07-16 18:19
apache-htcacheclean
2.43
KB
-rwxr-xr-x
2020-09-30 23:09
apache2
7.95
KB
-rwxr-xr-x
2023-01-18 10:54
apparmor
3.65
KB
-rwxr-xr-x
2020-04-01 08:05
apport
2.22
KB
-rwxr-xr-x
2023-04-12 16:01
console-setup.sh
1.21
KB
-rwxr-xr-x
2023-02-24 01:24
cron
3.03
KB
-rwxr-xr-x
2024-02-27 02:22
dbus
3.08
KB
-rwxr-xr-x
2019-09-30 07:47
docker
2.88
KB
-rwxr-xr-x
2024-02-06 21:12
exim4
4.26
KB
-rwxr-xr-x
2024-01-27 00:52
fetchmail
7.74
KB
-rwxr-xr-x
2021-06-24 16:47
hwclock.sh
1.71
KB
-rwxr-xr-x
2022-02-20 23:13
keyboard-setup.sh
1.45
KB
-rwxr-xr-x
2022-12-31 16:35
kmod
2
KB
-rwxr-xr-x
2024-04-18 10:06
mariadb
8.26
KB
-rwxr-xr-x
2025-05-23 23:20
modules_dep.sh
674
B
-rwxr-xr-x
2021-05-05 00:37
mysql
8.26
KB
-rwxr-xr-x
2026-02-08 03:05
networking
4.42
KB
-rwxr-xr-x
2024-02-14 14:14
php7.4-fpm
4.19
KB
-rwxr-xr-x
2021-11-25 23:16
php8.1-fpm
4.19
KB
-rwxr-xr-x
2022-08-08 07:28
procps
959
B
-rwxr-xr-x
2022-02-25 11:32
quota
951
B
-rwxr-xr-x
2018-06-04 07:06
quotarpc
1.1
KB
-rwxr-xr-x
2018-06-04 07:06
resolvconf
3.9
KB
-rwxr-xr-x
2020-01-03 17:32
rsync
4.31
KB
-rwxr-xr-x
2021-10-28 16:36
saslauthd
10.35
KB
-rwxr-xr-x
2023-08-01 14:14
screen-cleanup
1.19
KB
-rwxr-xr-x
2017-05-21 19:04
ssh
3.96
KB
-rwxr-xr-x
2022-02-25 23:30
tor
5.93
KB
-rwxr-xr-x
2022-02-27 12:58
unattended-upgrades
1.36
KB
-rwxr-xr-x
2020-02-17 11:37
uuidd
1.28
KB
-rwxr-xr-x
2020-09-16 18:43
whoopsie
485
B
-rwxr-xr-x
2018-08-10 22:39
wide-dhcpv6-client
1.99
KB
-rwxr-xr-x
2016-10-26 14:20
x11-common
2.7
KB
-rwxr-xr-x
2021-10-19 09:04
xinetd
2.39
KB
-rwxr-xr-x
2018-02-05 18:31
Save
Rename
#!/bin/sh # ### BEGIN INIT INFO # Provides: resolvconf # Required-Start: $local_fs # Required-Stop: $local_fs # X-Start-Before: networking ifupdown # Default-Start: S # Default-Stop: 0 6 # Short-Description: Nameserver information manager # Description: This service manages the list of nameserver addresses # used by the libc resolver and name service caches ### END INIT INFO # # This file is part of the resolvconf package. # # We really need "X-Stop-Before: networking ifupdown" too because # terminal ifdowns shouldn't update resolv.conf; # however there is unfortunately no such thing as "X-Stop-Before". # # This file is not used in Ubuntu. # # Don't use set -e; check return status instead. [ -x /sbin/resolvconf ] || exit 0 PATH=/sbin:/bin RUN_DIR=/run/resolvconf ENABLE_UPDATES_FLAGFILE="${RUN_DIR}/enable-updates" POSTPONED_UPDATE_FLAGFILE="${RUN_DIR}/postponed-update" . /lib/lsb/init-functions # Abort if Upstart is in use, as per Policy ยง9.11.1. case "$1" in start|restart|force-reload) init_is_upstart && exit 1 ;; stop) init_is_upstart && exit 0 ;; esac # $1 EXITSTATUS # [$2 MESSAGE] log_action_end_msg_and_exit() { log_action_end_msg "$1" ${2:+"$2"} exit $1 } create_runtime_directories() { umask 022 if [ ! -d "$RUN_DIR" ] ; then # Create directory at the target mkdir "$RUN_DIR" || log_action_end_msg_and_exit 1 "Error creating directory $RUN_DIR" fi [ -x /sbin/restorecon ] && /sbin/restorecon "$RUN_CANONICALDIR" # The resolvconf run directory now exists. if [ ! -d "${RUN_DIR}/interface" ] ; then mkdir "${RUN_DIR}/interface" || log_action_end_msg_and_exit 1 "Error creating directory ${RUN_DIR}/interface" fi [ -x /sbin/restorecon ] && /sbin/restorecon "${RUN_DIR}/interface" "${RUN_DIR}/resolv.conf "${RUN_DIR}/enable-updates # The interface directory now exists. We are done. return } wipe_runtime_directories() { # Delete files in the resolvconf run directory (target) but not the directory itself [ -d "$RUN_DIR" ] || return rm -f "$RUN_DIR"/resolv.conf rm -f "$ENABLE_UPDATES_FLAGFILE" rm -f "$POSTPONED_UPDATE_FLAGFILE" rm -rf "${RUN_DIR}/interface/*" return } case "$1" in start) # The "start" method should only be used at boot time. # Don't run this on package upgrade, for example. log_action_begin_msg "Setting up resolvconf" # Wipe runtime directories in case they aren't on a tmpfs wipe_runtime_directories # Create runtime directories in case they are on a tmpfs create_runtime_directories # Request a postponed update (needed in case the base file has content). :> "$POSTPONED_UPDATE_FLAGFILE" || log_action_end_msg_and_exit 1 "failed requesting update" # Enable updates and perform the postponed update. resolvconf --enable-updates || log_action_end_msg_and_exit 1 "failed to enable updates" log_action_end_msg_and_exit 0 ;; stop) # The "stop" method should only be used at shutdown time. log_action_begin_msg "Stopping resolvconf" resolvconf --disable-updates || log_action_end_msg_and_exit 1 "failed to disable updates" log_action_end_msg_and_exit 0 ;; restart) log_action_begin_msg "Restarting resolvconf" resolvconf --enable-updates || log_action_end_msg_and_exit 1 "failed to enable updates" log_action_end_msg_and_exit 0 ;; reload|force-reload) resolvconf -u || log_action_end_msg_and_exit 1 "failed to update" exit 0 ;; enable-updates) resolvconf --enable-updates || log_action_end_msg_and_exit 1 "failed to enable updates" exit 0 ;; disable-updates) resolvconf --disable-updates || log_action_end_msg_and_exit 1 "failed to disable updates" exit 0 ;; status) if resolvconf --updates-are-enabled ; then log_success_msg "resolvconf updates are enabled" else log_failure_msg "resolvconf updates are disabled" fi exit 0 ;; *) echo "Usage: /etc/init.d/resolvconf {start|stop|restart|reload|force-reload|enable-updates|disable-updates|status}" >&2 exit 3 ;; esac # Don't reach here exit 99